<?xml version="1.0" encoding="UTF-8"?>
<xs:schema
  targetNamespace="urn:3gpp:ns:mcpttPresInfo:1.0"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:mcpttPI10="urn:3gpp:ns:mcpttPresInfo:1.0"
  elementFormDefault="qualified" attributeFormDefault="unqualified">

  <!-- MCPTT specific child elements of tuple element -->
  <xs:element name="affiliation" type="mcpttPI10:affiliationType"/>
  <xs:complexType name="affiliationType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:attribute name="group" type="xs:anyURI" use="optional"/>
    <xs:attribute name="client" type="xs:anyURI" use="optional"/>
    <xs:attribute name="status" type="mcpttPI10:statusType" use="optional"/>
    <xs:attribute name="expires" type="xs:dateTime" use="optional"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:simpleType name="statusType">
    <xs:restriction base="xs:string">
      <xs:enumeration value="affiliating"/>
      <xs:enumeration value="affiliated"/>
      <xs:enumeration value="deaffiliating"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:element name="p-id" type="xs:string"/>
				
</xs:schema>

	
